summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/acousticbrainz-music-extractor/README14
-rw-r--r--audio/acousticbrainz-music-extractor/acousticbrainz-music-extractor.SlackBuild86
-rw-r--r--audio/acousticbrainz-music-extractor/acousticbrainz-music-extractor.info10
-rw-r--r--audio/acousticbrainz-music-extractor/slack-desc19
4 files changed, 129 insertions, 0 deletions
diff --git a/audio/acousticbrainz-music-extractor/README b/audio/acousticbrainz-music-extractor/README
new file mode 100644
index 0000000000..edc270213a
--- /dev/null
+++ b/audio/acousticbrainz-music-extractor/README
@@ -0,0 +1,14 @@
+This open source toolkit enables the automatic analysis of music.
+
+Note:
+This contains a statically build binary.
+From the FAQ:
+
+Besides building your own version being a major pain, it is possible
+for different combinations of libraries and compilers (gcc vs clang,
+libffmpeg vs libav) to produce slightly different outputs.
+We're aiming to reduce the variances of output between the extractors
+in an effort to create the most consistent and stable dataset.
+(...)
+So, for the time being, if it is possible in any way for you to use
+one of our static builds, we would greatly appreciate that.
diff --git a/audio/acousticbrainz-music-extractor/acousticbrainz-music-extractor.SlackBuild b/audio/acousticbrainz-music-extractor/acousticbrainz-music-extractor.SlackBuild
new file mode 100644
index 0000000000..20258fa217
--- /dev/null
+++ b/audio/acousticbrainz-music-extractor/acousticbrainz-music-extractor.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for "acousticbrainz-music-extractor".
+
+# Copyright 2015 Marcel Saegebarth <marc@mos6581.de>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are
+# met:
+#
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=acousticbrainz-music-extractor
+SRCNAM=essentia-extractor
+VERSION=${VERSION:-v2.1_beta2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ ARCH=i686
+elif [ "$ARCH" = "i686" ]; then
+ ARCH=i686
+elif [ "$ARCH" = "x86_64" ]; then
+ ARCH=x86_64
+else
+ echo "Only x86 & x86_64 is supported. Exit."
+ exit 1
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -p $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION-linux-$ARCH.tar.gz
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin
+cp -a streaming_extractor_music $PKG/usr/bin
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/acousticbrainz-music-extractor/acousticbrainz-music-extractor.info b/audio/acousticbrainz-music-extractor/acousticbrainz-music-extractor.info
new file mode 100644
index 0000000000..bafbb407f2
--- /dev/null
+++ b/audio/acousticbrainz-music-extractor/acousticbrainz-music-extractor.info
@@ -0,0 +1,10 @@
+PRGNAM="acousticbrainz-music-extractor"
+VERSION="v2.1_beta2"
+HOMEPAGE="http://acousticbrainz.org/"
+DOWNLOAD="http://acousticbrainz.org/static/download/essentia-extractor-v2.1_beta2-linux-i686.tar.gz"
+MD5SUM="c8300d6fae0d9a9a3767ea52cafd166e"
+DOWNLOAD_x86_64="http://acousticbrainz.org/static/download/essentia-extractor-v2.1_beta2-linux-x86_64.tar.gz"
+MD5SUM_x86_64="a9d17b2726586ea1b2c667c9adec1445"
+REQUIRES=""
+MAINTAINER="Marcel Saegebarth"
+EMAIL="marc@mos6581.de"
diff --git a/audio/acousticbrainz-music-extractor/slack-desc b/audio/acousticbrainz-music-extractor/slack-desc
new file mode 100644
index 0000000000..ffe385f4a3
--- /dev/null
+++ b/audio/acousticbrainz-music-extractor/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+acousticbrainz-music-extractor: acousticbrainz-music-extractor (Acoustic Music Extractor)
+acousticbrainz-music-extractor:
+acousticbrainz-music-extractor: This open source toolkit enables the automatic analysis of music.
+acousticbrainz-music-extractor:
+acousticbrainz-music-extractor: Homepage: http://acousticbrainz.org/
+acousticbrainz-music-extractor:
+acousticbrainz-music-extractor:
+acousticbrainz-music-extractor:
+acousticbrainz-music-extractor:
+acousticbrainz-music-extractor:
+acousticbrainz-music-extractor: